#ifdef GL_ES
precision mediump float;

varying vec2 vTexCoord;

vec4 fragColor;
#else
in vec2 vTexCoord;
out vec4 fragColor;
#endif
uniform sampler2D colorTex;
uniform float fade;

void main()
{
#ifdef GL_ES
	vec4 color = texture2D(colorTex, vTexCoord.st) * fade;
    gl_FragColor = vec4(color.rgb * color.a, color.a) * fade;
#else
	vec4 color = texture(colorTex, vTexCoord.st);
    fragColor = vec4(color.rgb * color.a, color.a) * fade;
#endif
}
